=== debian/changelog ===
stress-ng (0.12.06-1ubuntu2) hirsute; urgency=medium

  * stress-hdd: ensure offset is aligned to 512 byte boundary (LP: #1951152)
    fixes direct I/O random write failures with the hdd stressor

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 16 Nov 2021 19:19:19 +0000

stress-ng (0.12.06-1ubuntu1) hirsute; urgency=medium

  * Quote the system-info.version value in YAML metrics (LP: #1943623)
   - upstream commit a52f236917f5 ("core-helper: Quote the
     system-info.version value in YAML metrics")

 -- Colin King <colin.king@canonical.com>  Tue, 14 Sep 2021 18:08:14 +0100

stress-ng (0.12.06-1) unstable; urgency=medium

  [Helmut Grohne]
  * Add VERBOSE build options (Closes: #971719)

  [Colin Ian King]
  * Makefile: bump version
  * Makefile: update code name
  * Manual: update date
  * Makefile.config: move the HAVE_VLA_ARG
  * stress-zlib: add missing , between string literals
  * stress-cpu: don't run checksums on zero sized buffers
  * Makefile.config: re-order build time checks for pretty output
  * Makefile.config: remove extraneous .h from userfaultfd.h text
  * Makefile.config: remove leading space before swapcontext text
  * Makefile.config: fix missing "struct" test from message
  * Makefile.config: emit yes/no answer to config checks
  * Manual: clarify the 0 or less than zero number of instances
  * Makefile: generate config.h file from Makefile.config
  * Replace #if MACRO with #if defined(MACRO)
  * stress-sysbadaddr: don't use read/write if readv/writev are not
    available
  * stress-hdd: fall back to read/write if readv/writev are not
    available
  * stress-cyclic: rework when to define stress_cyclic_stats
  * stress-cyclic: build in stress_cyclic_stats only if it is required
  * stress-set: clear up static analysis warning

 -- Colin King <colin.king@canonical.com>  Thu, 24 Mar 2021 13:14:15 +0000

stress-ng (0.12.05-1) unstable; urgency=medium

  [Witold Baryluk]
  * stress-cpu.c update proc state to RUN before the main loop

  [Colin Ian King]
  * Makefile: bump version
  * Manual: update date
  * stress-l1cache: add pointer casting for mmap/munmap for openhipster
  * stress-af-alg-defconfigs.h: minor sort re-ordering
  * stress-af-alg: make --af-alg-dump option dump the stringified type
  * stress-ioport: fix typo in comment
  * stress-l1cache: remove a line
  * stress-l1cache: skip stressor if l1cache info is zero
  * core-helper: rename __stress_get_stack_direction
  * stress-mmapfork: rename __strlcat to notrunc_strlcat
  * fast-test-all: omit l1cache as this requires cache info that may
    not be available
  * stress-l1cache: fix non-Linux build failure
  * stress-timer: periodically exercise /proc/self/timers
  * stress-cpu: add exim's nhash for one more hashing cpu exercising
    method
  * stress-ng: report skipped messages only on the first instance
  * stress-verity: add FS_IOC_READ_VERITY_METADATA ioctl
  * stress-pthread: report the maximum number of concurrent pthreads
  * stress-cpu: update short help information
  * stress-ng: add CPU % used per processor metrics
  * Manual: update contributors list
  * core-cache: assume CPU is online if online information not available
  * stress-io-uring: remove debug message
  * stress-l1cache: handle non-power of 2 alignments
  * stress-l1cache: remove unused variable ret
  * stress-l1cache: add new level 1 cache stressor
  * core-cache: fix fetching of cache ways information
  * stress-cyclic: add build time check for clock_gettime in
    stress_cyclic_usleep
  * stress-dentry: fix build warning of utime when utime is not declared
  * stress-rawsock: add build time check for HAVE_ICMPHDR
  * stress-dentry: add build time check for struct utimbuf

 -- Colin King <colin.king@canonical.com>  Fri, 12 Mar 2021 09:44:11 +0000
