## stress-ng 0.13.04

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.12.06
-#
-# Codename "keen kernel killer"
+VERSION=0.13.04
+#
+# Codename "wakeboarding interstellar wombat"
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
@@ -36,6 +36,7 @@
 #
 # Verbosity
 #
+override undefine V
 ifeq ($(VERBOSE),)
 V=@
 Q=@
@@ -78,6 +79,7 @@
 	stress-af-alg.c \
 	stress-aio.c \
 	stress-aio-linux.c \
+	stress-alarm.c \
 	stress-apparmor.c \
 	stress-atomic.c \
 	stress-bad-altstack.c \
@@ -111,6 +113,7 @@
 	stress-dev-shm.c \
 	stress-dir.c \
 	stress-dirdeep.c \
+	stress-dirmany.c \
 	stress-dnotify.c \
 	stress-dup.c \
 	stress-dynlib.c \
@@ -120,6 +123,7 @@
 	stress-epoll.c \
 	stress-eventfd.c \
 	stress-exec.c \
+	stress-exit-group.c \
 	stress-fallocate.c \
 	stress-fanotify.c \
 	stress-fault.c \
@@ -131,6 +135,7 @@
 	stress-flock.c \
 	stress-fork.c \
 	stress-fp-error.c \
+	stress-fpunch.c \
 	stress-fstat.c \
 	stress-full.c \
 	stress-funccall.c \
@@ -162,8 +167,11 @@
 	stress-kill.c \
 	stress-klog.c \
 	stress-l1cache.c \
+	stress-landlock.c \
 	stress-lease.c \
 	stress-link.c \
+	stress-list.c \
+	stress-loadavg.c \
 	stress-lockbus.c \
 	stress-locka.c \
 	stress-lockf.c \
@@ -184,6 +192,7 @@
 	stress-memthrash.c \
 	stress-mergesort.c \
 	stress-mincore.c \
+	stress-misaligned.c \
 	stress-mknod.c \
 	stress-mlock.c \
 	stress-mlockmany.c \
@@ -191,11 +200,13 @@
 	stress-mmapaddr.c \
 	stress-mmapfixed.c \
 	stress-mmapfork.c \
+	stress-mmaphuge.c \
 	stress-mmapmany.c \
+	stress-mq.c \
 	stress-mremap.c \
 	stress-msg.c \
 	stress-msync.c \
-	stress-mq.c \
+	stress-munmap.c \
 	stress-nanosleep.c \
 	stress-netdev.c \
 	stress-netlink-proc.c \
@@ -207,6 +218,7 @@
 	stress-oom-pipe.c \
 	stress-opcode.c \
 	stress-open.c \
+	stress-pci.c \
 	stress-personality.c \
 	stress-physpage.c \
 	stress-pidfd.c \
@@ -216,6 +228,7 @@
 	stress-pkey.c \
 	stress-poll.c \
 	stress-prctl.c \
+	stress-prefetch.c \
 	stress-procfs.c \
 	stress-pthread.c \
 	stress-ptrace.c \
@@ -259,6 +272,7 @@
 	stress-sigfpe.c \
 	stress-sigio.c \
 	stress-signal.c \
+	stress-signest.c \
 	stress-sigpending.c \
 	stress-sigpipe.c \
 	stress-sigq.c \
@@ -268,6 +282,7 @@
 	stress-sigtrap.c \
 	stress-skiplist.c \
 	stress-sleep.c \
+	stress-smi.c \
 	stress-sock.c \
 	stress-sockabuse.c \
 	stress-sockdiag.c \
@@ -341,6 +356,7 @@
 	core-mincore.c \
 	core-mlock.c \
 	core-mmap.c \
+	core-module.c \
 	core-mounts.c \
 	core-mwc.c \
 	core-net.c \
@@ -350,6 +366,7 @@
 	core-sched.c \
 	core-setting.c \
 	core-shim.c \
+	core-smart.c \
 	core-thermal-zone.c \
 	core-time.c \
 	core-thrash.c \
@@ -364,7 +381,7 @@
 APPARMOR_PARSER=/sbin/apparmor_parser
 
 all: makeconfig
-	+$(MAKE) stress-ng
+	+$(MAKE) stress-ng VERBOSE=$(VERBOSE)
 
 #
 #  Load in and set flags based on config
@@ -378,7 +395,7 @@
 
 .o: Makefile
 
-%.o: %.c stress-ng.h config.h
+%.o: %.c stress-ng.h config.h git-commit-id.h
 	$(Q)echo "CC $<"
 	$(V)$(CC) $(CFLAGS) -c -o $@ $<
 
@@ -425,7 +442,7 @@
 #  so we can check if these enums exist
 #
 io-uring.h:
-	$(V)$(CPP) $(CONFIG_CFLAGS) core-io-uring.c  | $(GREP) IORING_OP | sed 's/,//' | \
+	$(V)$(CPP) $(CFLAGS) core-io-uring.c  | $(GREP) IORING_OP | sed 's/,//' | \
 	sed 's/IORING_OP_/#define HAVE_IORING_OP_/' > io-uring.h
 	$(Q)echo "MK io-uring.h"
 
@@ -441,6 +458,17 @@
 stress-vecmath.o: stress-vecmath.c
 	$(Q)echo CC $<
 	$(V)$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
+
+#
+#  define STRESS_GIT_COMMIT_ID
+#
+git-commit-id.h:
+	$(Q)echo "MK $@"
+	@if [ -e .git/HEAD -a -e .git/index ]; then \
+		echo "#define STRESS_GIT_COMMIT_ID \"$(shell git rev-parse HEAD)\"" > $@ ; \
+	else \
+		echo "#define STRESS_GIT_COMMIT_ID \"\"" > $@ ; \
+	fi
 
 $(OBJS): stress-ng.h Makefile
 
@@ -470,12 +498,14 @@
 clean:
 	$(V)rm -f stress-ng $(OBJS) stress-ng.1.gz stress-ng.pdf
 	$(V)rm -f stress-ng-$(VERSION).tar.xz
+	$(V)rm -f io-uring.h
+	$(V)rm -f git-commit-id.h
+	$(V)rm -f perf-event.h
 	$(V)rm -f personality.h
-	$(V)rm -f io-uring.h
-	$(V)rm -f perf-event.h
 	$(V)rm -f apparmor-data.bin
 	$(V)rm -f *.o
 	$(V)rm -f config config.h
+	$(V)rm -f tags
 
 .PHONY: fast-test-all
 fast-test-all: all
@@ -488,13 +518,21 @@
 .PHONY: slow-test-all
 slow-test-all: all
 	./stress-ng --seq 0 -t 15 --pathological --verbose --times --tz --metrics
+
+.PHONY: tags
+tags:
+	ctags -R --extra=+f --c-kinds=+p *
 
 .PHONY: install
 install: stress-ng stress-ng.1.gz
 	mkdir -p ${DESTDIR}${BINDIR}
 	cp stress-ng ${DESTDIR}${BINDIR}
 	mkdir -p ${DESTDIR}${MANDIR}
+ifneq ($(MAN_COMPRESS),0)
 	cp stress-ng.1.gz ${DESTDIR}${MANDIR}
+else
+	cp stress-ng.1 ${DESTDIR}${MANDIR}
+endif
 	mkdir -p ${DESTDIR}${JOBDIR}
 	cp -rp example-jobs/*.job ${DESTDIR}${JOBDIR}
 	mkdir -p ${DESTDIR}${BASHDIR}
