=== debian/changelog ===
stress-ng (0.13.04-1ubuntu1) impish; urgency=medium

  * stress-hdd: ensure offset is aligned to 512 byte boundary (LP: #1951152)
    fixes direct I/O random write failures with the hdd stressor

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 16 Nov 2021 18:23:12 +0000

stress-ng (0.13.04-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-fallocate: Fix ENOENT failure messages
  * stress-sock: remove redundant variable msg_len
  * stress-dccp: remove redundant variable msg_len
  * stress-prefetch: add missing volatile in pointer cast
  * core-vmstat: optimization: remove check for non-null
  * core-vmstat: reduce scope of variable ret
  * stress-mergesort: don't jmp out of mergesort on NetBSD
  * stress-vm-segv: Fix weird hangs on DragonFlyBSD
  * stress-chmod: add EPERM check to systems that also support EFTYPE
  * stress-rmap: fix rmap bogo-ops threshold
  * Fix typo: HAVE_LOFF_T -> HAVE_OFF_T
  * Add off_t type detection and use it if loff_t is not defined
  * stress-prefetch: prefix macros with STRESS_ to avoid FreeBSD
    macro conflict
  * stress-prefetch: fix mmap/munmap type warnings on OpenHipster
  * stress-prefetch: use correct format specifier for size_t variable
    l3_data_mmap_size
  * stress-prefetch: add stress_void_ptr_put and use it to stash pointers
  * stress-prefetch: Add a L3 prefetch read benchmarking stressor
  * stress-fifo: exercise invalid mmap on fifo fd
  * stress-fifo: periodically exercise FIONREAD on read end of pipe
  * stress-fifo: periodically perform invalid lseek on pipe fd
  * stress-pthread: use phread_mutexattr calls to use priority
    inheritence
  * stress-misaligned: perform misaligned read/writes on page and cache
    boundaries

 -- Colin King <colin.king@canonical.com>  Tue, 28 Sep 2021 11:02:11 +0100

stress-ng (0.13.03-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-remap: Fix build failure on systems without MAP_POPULATE

 -- Colin King <colin.king@canonical.com>  Fri, 17 Sep 2021 12:33:12 +0100

stress-ng (0.13.02-1) unstable; urgency=medium

  [Fabien Malfoy]
  * core-helper: Quote the system-info.version value in YAML metrics
  [Danilo Krummrich]
  * core-vmstat: fix trim of devnames for nvme devices

  [Colin Ian King]
  * Makefile: bump version
  * Manual: update update contributors list and date
  * Signed-off-by: Colin Ian King <colin.king@canonical.com>
  * core-vmstat: make helper function static and constify arg
  * stress-opcode: clean up clang-11 pedantic build warning
  * stress-aio: perform retry if EBUSY occurs
  * stress-vm: constify end pointers
  * stress-stream: constify pointers idx1, idx2, idx3
  * stress-opcode: make pointer ops_end const
  * stress-msync: make pointer buf const
  * stress-mcontend: constify pointer vdata
  * stress-malloc: move scope of ptr and end, constify end
  * stress-malloc: make parameters counters const
  * Treewide: fix spelling mistakes and typos
  * stress-cpu: use the __builtin_parity function if it is available
  * core-vmstat: fix assignment that should be a comparison
  * stress-io-uring: silently ignore ENOSPC failures
  * stress-io-uring: fix typo in comment
  * stress-prctl: move } around #endif
  * stress-procfs: add reverse seek/reads on non fifo procfs entries
  * stress-swap: periodically create invalid swap header
  * stress-loop: exercise invalid ioctl on loop control device
  * stress-loop: exercise invalid block sizes
  * stress-loop: perform invalid removal of device -1
  * core-vmstat: use '\0' end of string rather than 0
  * snapcraft: move to core20 and add some extra build dependencies in
  * Manual: update contributors list
  * stress-fanotify: add Linux 5.15 FAN_REPORT_PIDFD option
  * stress-ng: --thrash: drop caches at random periodical intervals
  * stress-prctl: remove tabs
  * core-vmstat: use shim_strlcpy instead of strcpy
  * stress-prctl: add Linux 5.15 PR_SPEC_L1D_FLUSH operation
  * core-vmstat: trim from dev name not the stat file
  * core-vmstat: handle devices such as /dev/sda1 -> /dev/sda
  * core-helper: handle SIGSTKSZ being potentially a sysconf call
  * Add --iostat option to periodically dump out I/O stats
  * stress-ng: fix dynlib-ops command, typo in dynlib
  * stress-loadavg: Fix spelling mistake "averge" -> "average"
  * stress-vm-rw: remove extraneous space in error message
  * stress-numa: add new MPOL_PREFERRED_MANY option
  * kerne-coverage: add more file system options and stressor test scenarios
  * Manual: fix context switch --switch-freq option

 -- Colin King <colin.king@canonical.com>  Tue, 14 Sep 2021 14:14:14 +0100

stress-ng (0.13.01-1) unstable; urgency=medium

  [Maxime Chevallier]
  * stress-ng: Fix random stressor assignment

  [Colin Ian King]
  * Makefile: bump version
  * Manual: update date
  * stress-kcmp: move close to avoid fd1 leak on exit
  * stress-set: no need to initialize fsgid, remove assignment
  * stress-hdd: fill write/read buffer with random data
  * stress-set: initialize uid/gid variables
  * Add yielding check and success exit if we timeout
  * stress-fork: don't use getpgid if it is not available
  * stress-dir: only use mkdirat if it is available.
  * stress-hdd: voidify fd to clean up Minix build warnings
  * stress-wait: fix build warning on Minix
  * stress-pkey: add pkey_set build time detection
  * stress-pkey: add pkey_get build time detection
  * test: use pkey_mprotect call rather than system call
  * test: use pkey_alloc call rather than system call
  * stress-pkey: use pkey call if it is available
  * stress-xattr: fix build error when XATTR_SIZE_MAX is not defined
  * stress-sockpair: fix name shadowing of variable ret
  * stress-seccomp: unconstify seccomp_actions, clean up build warning
  * stress-malloc: rename malloc_touch to avoid name shadowing
  * stress-exit-group: remove duplicated declaration of ret
  * stress-set: exercise getresgid with valid and invalid arguments
  * stress-sem: exercise semop and semtimedop with invalid arguments

