=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
                libsctp-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
                libipsec-mb-dev [amd64],
                libjudy-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
-               libatomic1 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
+               libatomic1 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
+               libkmod-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
 Homepage: https://kernel.ubuntu.com/~cking/stress-ng
 
 Package: stress-ng
