## stress-ng 0.13.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
 # Copyright (C) 2013-2021 Canonical, Ltd.
+# Copyright (C) 2021-2022 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,9 +17,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.13.04
-#
-# Codename "wakeboarding interstellar wombat"
+VERSION=0.13.12
+#
+# Codename "refulgent coruscating seadragon"
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
@@ -30,7 +31,15 @@
 CFLAGS += -Wcast-qual -Wfloat-equal -Wmissing-declarations \
 	-Wmissing-format-attribute -Wno-long-long -Wpacked \
 	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
-	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar \
+	-DHAVE_PEDANTIC
+endif
+
+#
+# Expected build warnings
+#
+ifeq ($(UNEXPECTED),1)
+CFLAGS += -DCHECK_UNEXPECTED
 endif
 
 #
@@ -144,7 +153,9 @@
 	stress-get.c \
 	stress-getrandom.c \
 	stress-getdent.c \
+	stress-goto.c \
 	stress-handle.c \
+	stress-hash.c \
 	stress-hdd.c \
 	stress-heapsort.c \
 	stress-hrtimers.c \
@@ -166,6 +177,7 @@
 	stress-key.c \
 	stress-kill.c \
 	stress-klog.c \
+	stress-kvm.c \
 	stress-l1cache.c \
 	stress-landlock.c \
 	stress-lease.c \
@@ -218,6 +230,7 @@
 	stress-oom-pipe.c \
 	stress-opcode.c \
 	stress-open.c \
+	stress-pageswap.c \
 	stress-pci.c \
 	stress-personality.c \
 	stress-physpage.c \
@@ -236,6 +249,7 @@
 	stress-quota.c \
 	stress-qsort.c \
 	stress-radixsort.c \
+	stress-randlist.c \
 	stress-ramfs.c \
 	stress-rawdev.c \
 	stress-rawpkt.c \
@@ -246,6 +260,7 @@
 	stress-reboot.c \
 	stress-remap-file-pages.c \
 	stress-rename.c \
+	stress-resched.c \
 	stress-resources.c \
 	stress-revio.c \
 	stress-rlimit.c \
@@ -291,6 +306,7 @@
 	stress-sockmany.c \
 	stress-softlockup.c \
 	stress-spawn.c \
+	stress-sparsematrix.c \
 	stress-splice.c \
 	stress-stack.c \
 	stress-stackmmap.c \
@@ -299,6 +315,7 @@
 	stress-swap.c \
 	stress-switch.c \
 	stress-sync-file.c \
+	stress-syncload.c \
 	stress-sysbadaddr.c \
 	stress-sysinfo.c \
 	stress-sysinval.c \
@@ -318,9 +335,11 @@
 	stress-uprobe.c \
 	stress-urandom.c \
 	stress-userfaultfd.c \
+	stress-usersyscall.c \
 	stress-utime.c \
 	stress-vdso.c \
 	stress-vecmath.c \
+	stress-vecwide.c \
 	stress-verity.c \
 	stress-vforkmany.c \
 	stress-vm.c \
@@ -350,6 +369,7 @@
 	core-ignite-cpu.c \
 	core-io-priority.c \
 	core-job.c \
+	core-killpid.c \
 	core-limit.c \
 	core-log.c \
 	core-madvise.c \
@@ -395,7 +415,10 @@
 
 .o: Makefile
 
-%.o: %.c stress-ng.h config.h git-commit-id.h
+%.o: %.c stress-ng.h config.h git-commit-id.h core-capabilities.h core-put.h \
+	 core-target-clones.h core-pragma.h core-perf.h core-thermal-zone.h \
+	 core-smart.h core-thrash.h core-net.h core-ftrace.h core-cache.h \
+	 core-nt-store.h core-arch.h core-cpu.h core-vecmath.h
 	$(Q)echo "CC $<"
 	$(V)$(CC) $(CFLAGS) -c -o $@ $<
 
@@ -473,15 +496,20 @@
 $(OBJS): stress-ng.h Makefile
 
 stress-ng.1.gz: stress-ng.1
-	$(V)gzip -c $< > $@
+	$(V)gzip -n -c $< > $@
 
 .PHONY: dist
 dist:
 	rm -rf stress-ng-$(VERSION)
 	mkdir stress-ng-$(VERSION)
 	cp -rp Makefile Makefile.config $(SRC) stress-ng.h stress-ng.1 \
-		core-personality.c core-io-uring.c \
-		COPYING syscalls.txt mascot README \
+		core-capabilities.h core-put.h  core-target-clones.h \
+		core-pragma.h core-perf.h core-thermal-zone.h core-smart.h \
+		core-thrash.h core-net.h core-ftrace.h core-cache.h \
+		core-hash.h core-io-priority.h core-nt-store.h \
+		core-personality.c core-io-uring.c core-arch.h \
+		core-cpu.h core-vecmath.h \
+		COPYING syscalls.txt mascot README.md \
 		stress-af-alg-defconfigs.h README.Android test snap \
 		TODO core-perf-event.c usr.bin.pulseaudio.eg \
 		stress-version.h bash-completion example-jobs .travis.yml \
@@ -517,23 +545,3 @@
 
 .PHONY: slow-test-all
 slow-test-all: all
-	./stress-ng --seq 0 -t 15 --pathological --verbose --times --tz --metrics
-
-.PHONY: tags
-tags:
-	ctags -R --extra=+f --c-kinds=+p *
-
-.PHONY: install
-install: stress-ng stress-ng.1.gz
-	mkdir -p ${DESTDIR}${BINDIR}
-	cp stress-ng ${DESTDIR}${BINDIR}
-	mkdir -p ${DESTDIR}${MANDIR}
-ifneq ($(MAN_COMPRESS),0)
-	cp stress-ng.1.gz ${DESTDIR}${MANDIR}
-else
-	cp stress-ng.1 ${DESTDIR}${MANDIR}
-endif
-	mkdir -p ${DESTDIR}${JOBDIR}
-	cp -rp example-jobs/*.job ${DESTDIR}${JOBDIR}
-	mkdir -p ${DESTDIR}${BASHDIR}
-	cp bash-completion/stress-ng ${DESTDIR}${BASHDIR}
