=== debian/changelog ===
stress-ng (0.13.12-2ubuntu1) jammy; urgency=medium

  * Fix malloc stressor verification (LP: #1972906)
    - backport of upstream commit ddecc607f916f8c9561f40c7ddc7d9e5c7528ff1

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 28 Oct 2022 08:21:41 +0100

stress-ng (0.13.12-2) unstable; urgency=medium

  * Fix SIGINT sending alarm signal to all stressors (LP: #1966657)
    - should be sending signal to the process group and not a specific pid

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 28 Mar 2022 10:02:12 +0100

stress-ng (0.13.12-1) unstable; urgency=medium

  [Maya Rashish]
  * stress-sysinval: correct typo timerfd_settime

  [Colin Ian King]
  * Makefile: add in core-vecmath.h to make dist rule
  * Manual: update date
  * Makefile: update version
  * Makefile: update code name to "refulgent coruscating seadragon"
  * core-shim: use system call for getcpu for S390x
  * stress-cpu: disable decimal math on s390x to avoid SIGILL
  * stress-usersyscall: check if user syscall mechanism is implemented
  * stress-sysbadaddr: include ptrace header
  * stress-sigsegv: only declare has_sse2 when it is required
  * stress-sysinval: cast return from mmap to clean up OpenHipster
    warning
  * stress-mmapmany: cast return from mmap to uint64_t * to clean up
    OpenHipster warning
  * core-vmstat: fix build warning in stress_find_mount_dev
  * core-vmstat: check for makedev/major macro include file
  * stress-dirdeep: check for null scanlist items
  * stress-dirdeep: don't exercise more inodes than those available
  * stress-zombie: voidify pid argument for non-linux builds
  * stress-sysinval: remove closed comment */ for getdtablesize
  * stress-radixsort: add in missing const in strcmp casts
  * stress-env: rename variable sz to env_sz to avoid name shadowing
  * stress-timer: remove blank line
  * stress-zombie: add zombie state check when --verify is enabled
  * stress-vm-segv: add simple test validation check
  * stress-usersyscall: add verify always flag since the inteface is
    being checked
  * stress-tee: add counter check to verify data is sane over pipes
  * stress-swap: add simple page check value to ensure swap works
  * stress-swap: add swap retries and measure swapped pages
  * stress-sparsematrix: add verify always flag
  * stress-sockpair: report system errors with pr_err rather than pr_fail
  * stress-sockmany: report system errors with pr_err rather than pr_fail
  * stress-sockfd: report system errors with pr_err rather than pr_fail
  * stress-sock: report system errors with pr_err rather than pr_fail
  * stress-sendfile: add verify flag, don't report system errors as
    failures
  * stress-sigsuspend: report system errors with pr_err rather than
    pr_fail
  * stress-sigrt: report system errors with pr_err rather than pr_fail
  * stress-sigq: report system errors with pr_err rather than pr_fail
  * stress-sigpipe: report system errors with pr_err rather than pr_fail
  * stress-sigio: report system errors with pr_err rather than pr_fail
  * stress-sigfpe: report system errors with pr_err rather than pr_fail
  * stress-sigfd: report system errors with pr_err rather than pr_fail
  * stress-sigchld: report system errors with pr_err rather than pr_fail
  * stress-shellsort: report system errors with pr_err rather than pr_fail
  * stress-sendfile: add verify flag, don't report system errors as
    failures
  * stress-rmap: report system errors with pr_err rather than pr_fail
  * stress-rlimit: remove a blank line
  * stress-radixsort: add optional sort order verification
  * stress-qsort: replace fail message on calloc failure with error
    message
  * stress-pidfd: add verify flag and replace a fail with an error
    message
  * stress-nanosleep: report error as an error not as a test failure
  * stress-mmapmany: add memory contents verification
  * stress-mmapaddr: indicate that verification is always on
  * stress-longjump: add a simple longjmp failure detection for
    verification
  * stress-lockofd: report system errors with pr_err rather than pr_fail
  * stress-lockf: report system errors with pr_err rather than pr_fail
  * stress-locka: report system errors with pr_err rather than pr_fail
  * stress-list: add verify flag since the lists are being santity
    checked
  * stress-lease: add one verification point on lease UNLOCK
  * stress-itimer: add verification of itimer signal handling
  * stress-iosync: add more verification checks on sync'ing calls
  * stress-hrtimers: add hrtimer interrupt detection for verification
  * stress-goto: fix cut-n-paste error in --goto-direction error message
  * stress-filename: add verify VERIFY_ALWAYS since stressor does
    validation
  * stress-exit-group: add simple check to see if exit_group exits
  * stress-env: make verify optional based on --verify setting
  * stress-env: add low memory checking and env var value checking
  * stress-ipsec-mb: add in missing core-cpu.h include
  * TOOD: add a couple more ideas of stress cases that could be added
  * test-v2di: reference variable __v2di to clean up cppcheck style
    warning
  * test-timerfd-settime: remove unused variable timerid
  * test-timerfd-gettime: remove unused variable timerid
  * test-sendfile.c: use variable count
  * stress-ng.h: move core-cpu prototypes into core-cpu.h
  * stress-vm: clean up pedantic volatile discard warning on prefetch
  * stress-sysinval: no need to make stress_syscall_exercised volatile
  * stress-pthread: rename pthreads to pthread_info
  * stress-memrate: clean up pedantic volatile discard warning on
    prefetch
  * stress-vm: replace aliased pointer with direct cast
  * stress-bind-mount: use umount2 to umount, check for files in bind
    mount
  * stress-cpu: add logistical map chaotic data computation method logmap
  * Manual: update bug filing URL
  * stress-alarm: move #defines to start of code
  * stress-aio: constify pattern argument
  * stress-aio: align macro constants

