=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 4.1.2
+XSBC-Original-Maintainer: Colin Ian King <colin.i.king@gmail.com>
+Standards-Version: 4.6.0
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                zlib1g-dev,
@@ -19,8 +19,9 @@
                libipsec-mb-dev [amd64],
                libjudy-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
                libatomic1 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
-               libkmod-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
-Homepage: https://kernel.ubuntu.com/~cking/stress-ng
+               libkmod-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
+               libxxhash-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
+Homepage: https://github.com/ColinIanKing/stress-ng
 
 Package: stress-ng
 Architecture: any
